Qt 5.8 | Qt Sensors | C++ Classes | QLightSensor

Qt 5.8.0 Reference Documentation

# QLightSensor Class

The QLightSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QLightSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Properties

- fieldOfView : const qreal

- 20 properties inherited from QSensor

## Public Functions

| QLightSensor(QObject *parent = Q_NULLPTR)
virtual | ~QLightSensor()
qreal | fieldOfView() const
QLightReading * | reading() const
void | setFieldOfView(qreal fieldOfView)

- 37 public functions inherited from QSensor

## Signals

void | fieldOfViewChanged(qreal fieldOfView)

- 14 signals inherited from QSensor

### Additional Inherited Members

- 2 public slots inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QLightSensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QLightReading instead of a QSensorReading.

For details about how the sensor works, see QLightReading.

See also QLightReading.

## Property Documentation

### fieldOfView : const qreal

This property holds a value indicating the field of view.

This is an angle that represents the field of view of the sensor.

Not all light sensor support retrieving their field of view. For sensors that don't support this property, the value will be 0. Whether the field of view is supported can be checked with QSensor::isFeatureSupported() and the QSensor::FieldOfView flag.

Access functions:

qreal | fieldOfView() const

Notifier signal:

void | fieldOfViewChanged(qreal fieldOfView)

## Member Function Documentation

### QLightSensor::QLightSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QLightSensor::~QLightSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QLightReading *QLightSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().

### void QLightSensor::setFieldOfView(qreal fieldOfView)

Sets the field of view to fieldOfView. This is to be called from the backend.

This function was introduced in Qt 5.1.

See also fieldOfView().